<template>
	<view class="container article-list">
		<view
			class="section clearfix"
			v-for="(item, index) in productList"
			:key="index"
			@click="navigaitionTo(item)"
		>
			<image :src="item.appletsImage" class="cover"></image>
			<view class="article-text">
				<view class="title">{{ item.name }}</view>
				<view class="content" v-text="item.content"></view>
			</view>
		</view>
	</view>
</template>

<script>
import caimeiApi from '@/common/config/caimeiApi.js'
export default {
	data() {
		return {
			productList: []
		}
	},
	props: {
		pageData: {
			type: Object
		},
		userIdentity: {
			type: Number
		},
		flag: {
			type: Boolean,
			default: false
		}
	},
	created() {
		this.initData(this.pageData)
	},
	methods: {
		initData(data) {
			if (this.flag) {
				this.productList = data.floorImageList
			} else {
				this.productList = data.floorImageList.slice(0, 4)
			}
		},
		navigaitionTo(item) {
            if(item.link){
                uni.navigateTo({
                    url: `/pages/h5/article/path?link=${item.link}`
                })
            }
		}
	}
}
</script>

<style lang="scss">
.article-list {
	width: 100%;
	height: auto;
	box-sizing: border-box;
	.section {
		width: 702rpx;
		height: 250rpx;
		background: #ffffff;
		margin-bottom: 24rpx;
		box-sizing: border-box;
		padding: 24rpx;
		border-radius: 16rpx;
		.cover {
			float: left;
			width: 202rpx;
			height: 202rpx;
			margin-right: 20rpx;
		}
		.article-text {
			width: 432rpx;
			float: left;
			.title {
				font-size: 26rpx;
				height: 37rpx;
				color: #3a3a3a;
				margin-bottom: 18rpx;
				word-break: break-all;
				overflow: hidden;
				text-overflow: ellipsis;
				display: -webkit-box;
				-webkit-line-clamp: 1;
				-webkit-box-orient: vertical;
			}
			.content {
				font-size: 24rpx;
				line-height: 38rpx;
				color: #8a8a8a;
				word-break: break-all;
				overflow: hidden;
				text-overflow: ellipsis;
				display: -webkit-box;
				-webkit-line-clamp: 4;
				-webkit-box-orient: vertical;
			}
		}
	}
}
</style>
